Error with VERIFIED Uphold account

I have a fully verified Uphold account (with no limitations stated in my Uphold account at all), but whenever I try to connect Brave Rewards with my verified Uphold account, it shows the following error:

What Operating System and Brave version are you using (Menu --> About Brave)?
Version 1.40.109 Chromium: 103.0.5060.66 (Official Build) (64-bit)

Is your browser wallet currently verified? (yes/no)
Yes, if this means my Uphold wallet

What date did you verify your wallet?
18 June 2022 - screenshot from my Uphold account
image

Have you been able to successfully receive payments in the past?
No

Are you using a VPN? (yes/no)
No

Are you in a supported region (see here for list of supported regions)?
Yes

Does your device pass the SafteyNet check (Android only)?
N/A - desktop

Have you fully completed Uphold’s CDD requirements?
Yes, my account is stated as VERIFIED by Uphold
image